				REM PROGRAM A10u8
				REM This program a10u8es spectra
	INPUT "FILESPEC ",F$
	OPEN F$ FOR INPUT AS #1
	INPUT #1,C$
1	A$=LEFT$(C$,3)
	KVP=VAL(A$)
	PRINT USING "###";KVP;
	PRINT " kVp ";
	PRINT USING "\\";MID$(C$,5,2);
	PRINT " Degrees ";
	PRINT USING "\ \";RIGHT$(C$,3);
	PRINT " Ripple"
	ANGLE=VAL(MID$(C$,5,2))
2	DIM VAT(300),YS(300),EN(300),ATT$(20),TMM(20),YF(300),KERMA(300)
	IF MID$(C$,10,1)="2" THEN PRINT " INTERVAL = 0.5 keV"
	DE=0.5
	NOINT%=KVP/DE
			FOR I=1 TO NOINT%
			YS(I)=0:YF(I)=0:EN(I)=0
			NEXT I
		FOR I=1 TO NOINT%
		INPUT #1,EN(I),YS(I)
		NEXT I
	CLOSE #1
	INPUT " Input the no of attenuators ",NOATT
	FOR I=1 TO NOATT
		PRINT " Attenuator no. ";I;
		INPUT ATT$(I)
		INPUT " Thickness (mm) ",TMM(I)
		OPEN ATT$(I) FOR INPUT AS #I
			PRINT ATT$(I)
			FOR J=1 TO NOINT%
			INPUT #I, EN(J),VAT(J)
			IF VAT(J)*TMM(I) >1410 THEN YS(I)=0:GOTO 3
			YS(J) = YS(J)*EXP(-VAT(J)*TMM(I))
3			NEXT J
		CLOSE #I
		NEXT I
	PRINT " No. of FILTERS: ";NOATT
		INPUT "Output filespec ",O$
	OPEN O$ FOR OUTPUT AS #3
		PRINT #3,C$+"*"
			FOR I=1 TO NOINT%
			PRINT #3, using "###.#";EN(I);
			PRINT #3, " ";
			PRINT #3, using "#.#####^^^^"; YS(I)
			NEXT I  	
			FOR I=1 TO NOINT%
			YF(I)=YS(I)
			NEXT I
	CLOSE #3
	PRINT "Please wait ..."
	OPEN "KERMAIR.CSV" FOR INPUT AS #4
		FOR I=1 TO 300
		INPUT #4, EN(I), KERMA(I)
		NEXT I
	CLOSE #4
	OPEN "ALXCOM.CSV" FOR INPUT AS #5
		FOR I=1 TO NOINT%
		INPUT #5, EN(I),VAT(I)
		NEXT I
	CLOSE #5
	KX=0:HVL=0:TT=0:TLO=0:OPUT=0:ENERGY=0
				REM Calculate the mean photon energy
4	TQT1=0:TQT2=0:TQT3=0
	KX=KX+1
		FOR L=1 TO NOINT%
		TQT1=TQT1+YF(L)*KERMA(L)
		TQT2=TQT2+YF(L)*DE*L
		TQT3=TQT3+YF(L)
		NEXT L
	IF KX=1 THEN 5
	GOTO 6
5	OPUT=TQT1
	ENERGY=TQT2/TQT3
	THI=20.0
	GOTO 7
6	IF TQT1>(OPUT/2) THEN TLO=TT ELSE THI=TT
	IF TQT1<(OPUT/2)*1.000005 AND TQT1>(OPUT/2)*0.999995 THEN 9
7	HVL=(THI+TLO)/2
	TT=HVL
		FOR I=1 TO NOINT%
		IF VAT(I)*TT > 1410 THEN YF(I)=0:GOTO 8
		YF(I)=YS(I)*EXP(-VAT(I)*TT)
8		NEXT I
	GOTO 4
9		PRINT USING "##########.###";OPUT;
		PRINT " uGy per mAs at 750 mm in air."
		PRINT "  Mean energy = ";
		PRINT USING "###.#";ENERGY;:PRINT "keV. HVL = ";
		PRINT USING "##.######";HVL;:PRINT " mm Al";
		PRINT
10		PRINT "Finished  "
	END


